# List tax locations Retrieve a list of all tax locations. Tax locations can represent the venues for services, tickets, or other product types. The response includes detailed information for each tax location, such as its address, name, description, and current operational status. You can paginate through the list by using the `limit` parameter to control the number of results returned in each request. ## Returns A list of `TaxLocation` objects. ## Parameters - `type` (enum, required) Type of the tax location. Currently the only option is `performance`. Possible enum values: - `performance` Calculates the tax of the products or services based on the location of the performance or event, rather than the customer’s address. - `ending_before` (string, optional) A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. - `limit` (integer, optional) A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. - `starting_after` (string, optional) A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. ```curl curl -G https://api.stripe.com/v1/tax/locations \ -u "<>" \ -H "Stripe-Version: 2025-06-30.preview" \ -d type=performance ``` ### Response ```json { "object": "list", "count": 1, "data": [ { "id": "taxloc_1Rb0Af09x9VUP01myZ3aqF1z", "object": "tax.location", "address": { "city": "Boulder", "country": "US", "line1": "Folsom and, Pearl St", "line2": null, "postal_code": "80302", "state": "CO" }, "description": "Greenleaf Park", "type": "performance" } ], "has_more": false, "url": "/v1/tax/locations" } ```